跳到主要內容

在Windows安裝sqlite3的gem

剛才想練習一下Rails,手邊沒有Mac/Linux,就先拿Windows來安裝,沒想到馬上踢到鐵板。
想照著ihower的Ruby on Rails 實戰聖經做,但我又想要用新版Rails,所以就抓了RubyInstaller自己安裝Rails,沒想到要裝sqlite3就有問題。

首先,我抓了portable的 Ruby 2.0.0-p353 (x64)DevKit-mingw64-64-4.7.2-20130224-1432-sfx.exe(因為Windows沒有內建cc,千萬要裝DevKit呀!)這是個人習慣,當然也可抓Installer版本。

使用時請執行msys.bat,會進到shell裡(bash)。我習慣先更新,所以 gem update --system。接下來 gem install rails當然很順利,接著gem install sqlite3就吐一堆錯誤,顯示找不到sqlite3.h。

於是我就先下載 sqlite-autoconf-3080300.tar.gz,解開後
 ./configure
make
make install
這樣就有sqlite3.exe和sqlite3.a,可是我仍然不會加參數,幸好找到這篇,我是裝在 D:\Devel\Ruby ,所以SQLite3裝在 d:\Devel\Ruby\local\ 底下。
語法是
gem install sqlite3 --platform=ruby -- --with-sqlite3-include=[path\to\sqlite3.h] --with-sqlite3-lib=[path\to\sqlite3.o]
所以在我的環境就變成:
gem install sqlite3 --platform=ruby --  --with-sqlite3-include=/d:/Devel/Ruby/local/include/ --with-sqlite3-lib=/d:/Devel/Ruby/local/lib/
接下來就可以開始寫了。

留言

這個網誌中的熱門文章

自然人憑證讀卡機驅動程式

鳥毅用的是第一代的自然人憑證讀卡機,EZ100PU(後來有同事買EZmini可以讀SIM卡似乎更好),每年報稅時用一次。

本來只是要申請些政府業務,一時之間找不到光碟,沒想到在驅動程式下載居然看到Linux和Mac的驅動程式,剩下的就是政府單位的網頁和程式應該改版了吧!!!

在Windows Server設定L2TP over IPSec VPN

簡單地說,macOS Sierra與iOS 10發表後,大家忽然發現Apple不再支援PPTP,所以一定得設定其他的VPN型態。若不要另外裝client,用L2TP是最方便的,SSL VPN雖然好,但若沒有安裝Agent要連線到任一電腦或是非網頁服務還是挺麻煩的。